Package org.apache.commons.net.io

# Class ToNetASCIIOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.commons.net.io.ToNetASCIIOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public final class ToNetASCIIOutputStream extends FilterOutputStream
This class wraps an output stream, replacing all singly occurring <LF> (linefeed) characters with <CR><LF> (carriage return followed by linefeed), which is the NETASCII standard for representing a newline. You would use this class to implement ASCII file transfers requiring conversion to NETASCII.

- ## Field Summary

  ### Fields inherited from class java.io.FilterOutputStream

  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToNetASCIIOutputStream(OutputStream output)`
  Creates a ToNetASCIIOutputStream instance that wraps an existing OutputStream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `write(byte[] buffer)`
  Writes a byte array to the stream.
  `void`
  `write(byte[] buffer, int offset, int length)`
  Writes a number of bytes from a byte array to the stream starting from a given offset.
  `void`
  `write(int ch)`
  Writes a byte to the stream.

  ### Methods inherited from class java.io.FilterOutputStream

  `close, flush`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToNetASCIIOutputStream

    public ToNetASCIIOutputStream(OutputStream output)
    Creates a ToNetASCIIOutputStream instance that wraps an existing OutputStream.
    Parameters:
      `output` - The OutputStream to wrap.

- ## Method Details

  - ### write

    public void write(byte[] buffer) throws IOException
    Writes a byte array to the stream.
    Overrides:
      `write` in class `FilterOutputStream`
    Parameters:
      `buffer` - The byte array to write.
    Throws:
      `IOException` - If an error occurs while writing to the underlying stream.

  - ### write

    public void write(byte[] buffer, int offset, int length) throws IOException
    Writes a number of bytes from a byte array to the stream starting from a given offset.
    Overrides:
      `write` in class `FilterOutputStream`
    Parameters:
      `buffer` - The byte array to write.
      `offset` - The offset into the array at which to start copying data.
      `length` - The number of bytes to write.
    Throws:
      `IOException` - If an error occurs while writing to the underlying stream.

  - ### write

    public void write(int ch) throws IOException
    Writes a byte to the stream. Note that a call to this method may result in multiple writes to the underlying input stream in order to convert naked newlines to NETASCII line separators. This is transparent to the programmer and is only mentioned for completeness.
    Overrides:
      `write` in class `FilterOutputStream`
    Parameters:
      `ch` - The byte to write.
    Throws:
      `IOException` - If an error occurs while writing to the underlying stream.